Bug 997036 - [Permanent fix] Backport of GTNPC-109 to RHJP 6.0.0
[Permanent fix] Backport of GTNPC-109 to RHJP 6.0.0
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity unspecified
: DR01
: 6.1.1
Assigned To: Peter Palaga
Dominik Pospisil
FixAvail
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 10:22 EDT by Adam Kovari
Modified: 2015-08-31 23:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that when a portlet changed the window state during event processing, the window state was not saved. Investigation confirmed that the issue was not due to an underlying bug, and that the behaviour was in fact valid with certain specifications. The underlying behaviour is fixed by preserving the window state change across multiple event invocations.
Story Points: ---
Clone Of: 997033
Environment:
JPP 6.0
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPC-109 Minor Resolved Modify EventResponse Interface to preserve window state changes accross multiple event invocations 2014-02-14 01:31:34 EST

  None (edit)
Description Adam Kovari 2013-08-14 10:22:23 EDT
Description of problem:
Inclusion of https://issues.jboss.org/browse/GTNPC-109 in the future version of JPP 6

Version-Release number of selected component (if applicable):
JPP 6.0.0
Comment 1 Boleslaw Dawidowicz 2013-11-14 04:13:10 EST
Fixed in GTNPC. Requires releasing PC 2.4.3.Final and consuming it.
Comment 2 Peter Palaga 2013-11-26 16:48:45 EST
PC upgraded to 2.4.3.Final in 3.6.x
Comment 3 vramik 2013-12-11 05:51:38 EST
I was able to reproduce the bug on JPP6.1.0.GA. Then I've verified the bug cannot be reproduced on JPP6.1.1.DR01.

Note You need to log in before you can comment on or make changes to this bug.